## org.apache.solr.common
Class SolrException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.solr.common.SolrException

All Implemented Interfaces:
  Serializable

    public class SolrException

extends RuntimeException

Version:
  $Id: SolrException.java 786784 2009-06-20 10:02:42Z noble $
See Also:
  Serialized Form

Nested Class Summary
`static class` `SolrException.ErrorCode`

Field Summary
`boolean` `logged`

Constructor Summary
`SolrException(int code, String msg)` Deprecated. Use `SolrException(ErrorCode,String)`.
`SolrException(int code, String msg, boolean alreadyLogged)` Deprecated. Use `SolrException(ErrorCode,String,boolean)`.
`SolrException(int code, String msg, Throwable th)` Deprecated. Use `SolrException(ErrorCode,String,Throwable)`.
`SolrException(int code, String msg, Throwable th, boolean alreadyLogged)` Deprecated. Use `SolrException(ErrorCode,String,Throwable,boolean)`.
`SolrException(int code, Throwable th)` Deprecated. Use `SolrException(ErrorCode,Throwable)`.
`SolrException(SolrException.ErrorCode code, String msg)`
`SolrException(SolrException.ErrorCode code, String msg, boolean alreadyLogged)`
`SolrException(SolrException.ErrorCode code, String msg, Throwable th)`
`SolrException(SolrException.ErrorCode code, String msg, Throwable th, boolean alreadyLogged)`
`SolrException(SolrException.ErrorCode code, Throwable th)`

Method Summary
`int` `code()`
`void` `log(org.slf4j.Logger log)`
`static void` `log(org.slf4j.Logger log, String msg, Throwable e)`
`static void` `log(org.slf4j.Logger log, Throwable e)`
`static void` `logOnce(org.slf4j.Logger log, String msg, Throwable e)`
`static String` `toStr(Throwable e)`
`String` `toString()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### logged

    public boolean logged

Constructor Detail

### SolrException

    public SolrException(SolrException.ErrorCode code,
                         String msg)

### SolrException

    public SolrException(SolrException.ErrorCode code,
                         String msg,
                         boolean alreadyLogged)

### SolrException

    public SolrException(SolrException.ErrorCode code,
                         String msg,
                         Throwable th,
                         boolean alreadyLogged)

### SolrException

    public SolrException(SolrException.ErrorCode code,
                         String msg,
                         Throwable th)

### SolrException

    public SolrException(SolrException.ErrorCode code,
                         Throwable th)

### SolrException

    @Deprecated
    public SolrException(int code,
                                    String msg)

  Deprecated. Use `SolrException(ErrorCode,String)`.

### SolrException

    @Deprecated
    public SolrException(int code,
                                    String msg,
                                    boolean alreadyLogged)

  Deprecated. Use `SolrException(ErrorCode,String,boolean)`.

### SolrException

    @Deprecated
    public SolrException(int code,
                                    String msg,
                                    Throwable th,
                                    boolean alreadyLogged)

  Deprecated. Use `SolrException(ErrorCode,String,Throwable,boolean)`.

### SolrException

    @Deprecated
    public SolrException(int code,
                                    String msg,
                                    Throwable th)

  Deprecated. Use `SolrException(ErrorCode,String,Throwable)`.

### SolrException

    @Deprecated
    public SolrException(int code,
                                    Throwable th)

  Deprecated. Use `SolrException(ErrorCode,Throwable)`.

Method Detail

### code

    public int code()

### log

    public void log(org.slf4j.Logger log)

### log

    public static void log(org.slf4j.Logger log,
                           Throwable e)

### log

    public static void log(org.slf4j.Logger log,
                           String msg,
                           Throwable e)

### logOnce

    public static void logOnce(org.slf4j.Logger log,
                               String msg,
                               Throwable e)

### toString

    public String toString()

  Overrides:
    `toString` in class `Throwable`

### toStr

    public static String toStr(Throwable e)

Copyright © 2009 Apache Software Foundation. All Rights Reserved.